=== modified file 'bin/ivle-fetchsubmissions'
--- bin/ivle-fetchsubmissions	2009-05-12 14:10:21 +0000
+++ bin/ivle-fetchsubmissions	2009-05-12 14:14:49 +0000
@@ -58,9 +58,10 @@
         submission.
     """
     # submission_name is the name of the user or group who owns the repo
-    submission_name = submission.assessed.principal.name
+    submission_name = submission.assessed.principal.short_name
     # target_final is the directory to place the files in
-    target_final = os.path.join(target, submission.assessed.principal.name)
+    target_final = os.path.join(target,
+                                submission.assessed.principal.short_name)
     if not os.path.exists(target_final):
         os.makedirs(target_final)
     url = get_repo_url(submission, config)
@@ -91,7 +92,7 @@
     if submission.assessed.is_group:
         # The offering this group is in
         offering = submission.assessed.project.project_set.offering
-        groupname = submission.assessed.principal.name
+        groupname = submission.assessed.principal.short_name
         # The name of the repository directory within 'groups' is
         # SUBJECT_YEAR_SEMESTER_GROUP
         namespace = "_".join([offering.subject.short_name,
@@ -100,7 +101,7 @@
                                 'groups', namespace)
     else:
         # The name of the repository directory within 'users' is the username
-        username = submission.assessed.principal.name
+        username = submission.assessed.principal.short_name
         repo_path = os.path.join(config['paths']['svn']['repo_path'],
                                 'users', username)
 

